afmtodit(1)

Nume
afmtodit - adaptează fișierele Adobe Font Metrics pentru ieșire groff PostScript și PDF

SINOPSIS
afmtodit [-ckmnsx] [-a înclinare] [-d fișier-descriere-dispozitiv] [-e fișier-codificare] [-f nume-intern] [-i factor-corecție-italic] [-o fișier-ieșire] [-w lățime-spațiu] fișier-afm fișier-hartă fișier-descriere-font
afmtodit --help
afmtodit -v
afmtodit --version

Descriere
afmtodit adaptează un fișier Adobe Font Metric, fișier-afm, pentru utilizare cu dispozitivele de ieșire ps și pdf ale troff(1) fișier-hartă asociază un nume de caracter obișnuit sau special groff cu un nume de glifă PostScript. Ieșirea este scrisă în format groff_font(5) în fișier-descriere-font, un fișier numit după numele fontului groff (vedeți însă opțiunea -o).

fișier-hartă trebuie să conțină o secvență de linii de forma
        glifă-ps caracter-groff
unde glifă-ps este numele PostScript al glifei, iar caracter-groff este un identificator de caractere groff obișnuit (dacă este de lungime unitară) sau special (dacă este mai lung). Aceeași glifă-ps poate apărea de mai multe ori în fișier; fiecare caracter-groff trebuie să apară cel mult o dată. Liniile care încep cu „#” și liniile goale sunt ignorate. Dacă fișierul nu este găsit în directorul curent, acesta este căutat în subdirectorul devps/generate din directorul de fonturi implicit.

Dacă o glifă PostScript nu este menționată în map-file, iar numele unui caracter groff nu poate fi dedus cu ajutorul Adobe Glyph List (AGL, integrat în afmtodit), atunci afmtodit introduce glifa PostScript în fișierul de descriere a fontului groff ca o glifă fără nume, care poate fi accesată numai prin secvența de eludare „\N” într-un document roff. În special, acest lucru este valabil pentru variantele de glife denumite sub forma „foo.bar”; toate numele de glife care conțin unul sau mai multe puncte sunt puse în corespondență cu entități fără nume. Cu excepția cazului în care se specifică -e, se utilizează codificarea definită în fișierul AFM (adică intrările cu coduri nenegative). Consultați secțiunea „Using Symbols” (Utilizarea simbolurilor) din Groff: The GNU Implementation of troff, manualul Texinfo al groff, sau groff_char(7) , care descriu modul în care sunt construiți identificatorii de caractere groff.

Glifele care nu sunt codificate în fișierul AFM (adică intrările indexate ca „-1”) sunt încă disponibile în groff; acestea primesc valori ale indexului glifelor mai mari de 255 (sau mai mari decât cel mai mare cod utilizat în fișierul AFM, în cazul puțin probabil în care acesta este mai mare de 255) în fișierul de descriere a fontului groff. Indicii de glife necodificate nu au o ordine specifică; cel mai bine este să le accesați numai prin intermediul identificatorilor de caractere speciale.

În cazul în care fișierul font propriu-zis (nu doar metricile sale) este disponibil, listarea acestuia în fișierele /usr/share/groff/1.23.0/font/devps/download și /usr/share/groff/1.23.0/font/devpdf/download permite ca acesta să fie încorporat în rezultatul produs de grops(1) și respectiv gropdf(1)

Dacă se utilizează opțiunea -i, afmtodit va genera automat o corecție italică, o corecție italică la stânga și o corecție a sub-indicelui pentru fiecare caracter (semnificația acestor parametri este explicată în groff_font(5) ); acești parametri pot fi specificați pentru caractere individuale prin adăugarea la liniile fișier-afm din formular:
        italicCorrection ps-glyph n
        leftItalicCorrection ps-glyph n
        subscriptCorrection ps-glyph n
unde glifă-ps este numele PostScript al glifei, iar n este valoarea dorită a parametrului corespunzător în miimi de em. În mod normal, astfel de parametri sunt necesari doar pentru fonturile italice (sau oblice).

Opțiunea -s ar trebui să fie dată dacă fontul este „special”, ceea ce înseamnă că groff ar trebui să îl caute ori de câte ori o glifă nu este găsită în fontul curent. În acest caz, fișier-descriere-font ar trebui să fie listat ca argument al directivei fonts în fișierul DESCRIERE al dispozitivului de ieșire; dacă nu este special, nu este necesar să faceți acest lucru, deoarece troff(1) îl va monta automat la prima utilizare.

Opțiuni
--help afișează un mesaj de utilizare, în timp ce -v și --version afișează informații despre versiune; toate acestea ies după aceea.

-a înclinare
    Utilizează înclinare ca parametru „unghi” de înclinare în fișierul de font; acesta este utilizat de groff în poziționarea accentelor. În mod implicit, afmtodit utilizează negativul lui ItalicAngle specificat în fișierul AFM; în cazul fonturilor italice adevărate, uneori este de dorit să se utilizeze o înclinare mai mică decât aceasta. Dacă vi se pare că un font italic plasează accentele deasupra glifelor de bază prea mult în dreapta, utilizați opțiunea -a pentru a le da o înclinare mai mică.

-c  Include comentarii în fișierul de descriere a fontului care identifică fontul PostScript.

-d fișier-descriere-dispozitiv
    Fișierul de descriere a dispozitivului este fișier-descriere în loc de fișierul implicit DESCRIERE. Dacă nu se găsește în directorul curent, se caută în subdirectorul devps din directorul de fonturi implicit (acest lucru este valabil atât pentru fișierul de descriere a dispozitivului implicit, cât și pentru un fișier dat cu opțiunea -d).

-e fișier-codificare
    Fontul PostScript trebuie recodificat pentru a utiliza codificarea descrisă în fișier-codificare. Formatul fișierului-codificare este descris în grops(1) Dacă nu se găsește în directorul curent, se caută în subdirectorul devps din directorul de fonturi implicit.

-f nume-intern
    Numele intern al fontului groff este stabilit la nume.

-i factor-corecție-italic
    Generează o corecție italică pentru fiecare glifă astfel încât lățimea acesteia plus corecția italică să fie egală cu factor-corecție-italic miimi de em plus valoarea cu care marginea dreaptă a casetei de delimitare a glifei se află la dreapta originii acesteia. Dacă acest lucru ar duce la o corecție italică negativă, utilizați în schimb o corecție italică zero.

    De asemenea, se generează o corecție a sub-indicelui egală cu produsul dintre tangenta înclinării fontului și patru cincimi din înălțimea x a fontului. În cazul în care acest lucru ar avea ca rezultat o corecție a sub-indicelui mai mare decât corecția italică, utilizați în schimb o corecție a sub-indicelui egală cu corecția italică.

    De asemenea, se generează o corecție italică stânga pentru fiecare glifă egală cu factor-corecție-italic miimi de em plus valoarea cu care marginea stângă a casetei de delimitare a glifei se află la stânga originii sale. Corecția italică din stânga poate fi negativă, cu excepția cazului în care se oferă opțiunea -m.

    În mod normal, această opțiune este necesară numai în cazul fonturilor italice (sau oblice). Fișierele de descriere a fonturilor distribuite cu groff au fost create utilizând opțiunea -i50 pentru fonturi italice.

-o fișier-ieșire
    Scrie în fișierul fișier- ieșire în loc de în fișierul fișier-descriere-font.

-k  Omite orice date de spațiere din fontul groff; se utilizează numai pentru fonturile monospaced (cu lățime constantă).

-m  Previne valorile negative ale corecției italice din stânga. Fișierele de descriere a fonturilor pentru stilurile romane distribuite cu groff au fost create cu „-i0 -m” pentru a îmbunătăți spațierea cu eqn(1)

-n  Nu generează o comandă ligaturi pentru acest font; se utilizează cu fonturi monospaced (cu lățime constantă).

-s  Adaugă directiva special la fișierul de descriere a fontului.

-w lățime-spațiu
    Utilizează lățime-spațiu ca număr de spații între cuvinte.

-x  Nu utilizează lista încorporată Adobe Glyph List.

Fișiere

/usr/share/groff/1.23.0/font/devps/DESCRIERE
    descrie dispozitivul de ieșire ps.

/usr/share/groff/1.23.0/font/devps/F
    descrie fontul cunoscut sub numele de F pe dispozitivul ps.

/usr/share/groff/1.23.0/font/devps/download
    listează fonturile disponibile pentru a fi încorporate în documentul PostScript (sau descărcate pe dispozitiv).

/usr/share/groff/1.23.0/font/devps/generate/dingbats.map
/usr/share/groff/1.23.0/font/devps/generate/dingbats-reversed.map
/usr/share/groff/1.23.0/font/devps/generate/slanted-symbol.map
/usr/share/groff/1.23.0/font/devps/generate/symbol.map
/usr/share/groff/1.23.0/font/devps/generate/text.map
    asociază numele din lista de glife Adobe cu identificatorii de caractere speciale groff pentru fonturile Zapf Dingbats (ZD), Zapf Dingbats inversat (ZDR), simbol înclinat (SS), simbol (S) și, respectiv, fonturi de text. Aceste fișiere fișier-hartă sunt utilizate pentru a produce fișierele de descriere a fonturilor furnizate cu groff pentru operatorul de ieșire grops.

Diagnosticare

Numele AGL „x” a fost deja alocat numelui groff ”y
    ”; se ignoră numele AGL 'uniXXXX' Puteți ignora acestea dacă sunt în forma prezentată, în care numele AGL ignorat conține patru cifre hexazecimale XXXX. Adobe Glyph List (AGL) are propriile denumiri pentru glife; acestea sunt adesea diferite de denumirile caracterelor speciale din groff. afmtodit construiește o corespondență de la numele caracterelor speciale groff la numele AGL; aceasta poate fi o corespondență unu-la-unu sau mai multe-la-unu, dar una-la-mai multe nu va funcționa, așa că %afmtodit înlătură corespondențele în exces. De exemplu, dacă x este *D, y este Delta, iar z este uni0394, afmtodit vă spune că descrierea fontului groff pe care îl scrie nu poate să pună în corespondență caracterul special groff \[*D] cu glifele AGL Delta și uni0394 în același timp.

    Dacă primiți un astfel de mesaj, dar sunteți nemulțumit de faptul că este ignorată corespondența, un remediu este să creați un fișier fișier-hartă alternativ și să rulați din nou afmtodit folosindu-l.

Consultați și
Groff: The GNU Implementation of troff, de Trent A. Fisher și Werner Lemberg, este principalul manual groff. Secțiunea „Using Symbols” (Utilizarea simbolurilor) poate fi deosebit de interesantă. O puteți răsfoi în mod interactiv cu «info '(groff)Using Symbols'».

groff(1), gropdf(1), grops(1), groff_font(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.